Unit taeh4c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEH4C_p;

function taeh4c: String;

implementation

function taeh4c: String;
var
J,I,N,MM,M,IERR :Integer;
RLB,RUB :Real;
EV :Array [0..2] of Real;
RAB1 :Array [0..7] of Real;
RAB2 :Array [0..19] of Real;
IRAB1 :Array [0..2] of Integer;
const
AR :Array [0..15] of Real = ( 1.0,0.42,0.54,0.66,0.42,1.0,0.32,0.44,0.54,0.32,
1.0,0.22,0.66,0.44,0.22,1.0 );
AI :Array [0..15] of Real = ( 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0 );
begin
Result := '';  {   }
Result := Result + Format('%s',
 [' BCEHE HEKOTOPX COCTBEHHX HAEH ' + #$0D#$0A +
 ' KOMEKCHO PMTOBO MATP']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 4;
MM := 3;
RLB := 0.0;
RUB := 1.0;
AEH4C(N,AR,AI,EV,RLB,RUB,MM,M,IRAB1,RAB1,RAB2,IERR);
Result := Result + Format('%s',[' PEYTAT']) + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EV' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  Result := Result + Format('%20.16f ',[EV[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('taeh4c',Result);  {     taeh4c.res }
exit;
end;

end.
